jQuery(function($) {
    selectProvince();
    $('#province').bind("change", selectCity);
    $('#city').bind("change", selectArea);
});


/*
*  搜索所有的省份
*/
function selectProvince() {
    var id = $("#province").data('setId');
    var url = $("#province").data('setUrl');
    $.getJSON(url+'&id='+id, function(json){
        for (var i = 0; i < json.length; i++) {
            if (json[i]['area_id'] == id) {
                $("#province").append("<option selected='selected' value=" + json[i]['area_id'] + ">" + json[i]['title'] + "</option>");
            } else {
                $("#province").append("<option value=" + json[i]['area_id'] + ">" + json[i]['title'] + "</option>");
            }
        }
        selectCity();
    });
};

/*
*  搜索该省份下所有的城市
*/
function selectCity() {
    $("#city").html("");
    var parentId = $('#province').attr("value");   //父级ID
    var id = $("#city").data('setId');             //本身ID
    var url = $("#city").data('setUrl');
    $.getJSON(url+'&id='+parentId, function(json){
        for (var i = 0; i < json.length; i++) {
            if (json[i]['area_id'] == id) {
                $("#city").append("<option selected='selected' value=" + json[i]['area_id'] + ">" + json[i]['title'] + "</option>");
            } else {
                $("#city").append("<option value=" + json[i]['area_id'] + ">" + json[i]['title'] + "</option>");
            }
        }
        selectArea();
    });
};

/*
*  搜索该城市下所有的地区
*/
function selectArea() {
    $("#area").html("");
    var parentId = $('#city').attr("value");    //父级ID
    var id = $("#area").data('setId');          //本身ID
    var url = $("#area").data('setUrl');
    $.getJSON(url+'&id='+parentId, function(json){
        for (var i = 0; i < json.length; i++) {
            if (json[i]['area_id'] == id) {
                $("#area").append("<option selected='selected' value=" + json[i]['area_id'] + ">" + json[i]['title'] + "</option>");
            } else {
                $("#area").append("<option value=" + json[i]['area_id'] + ">" + json[i]['title'] + "</option>");
            }
        }
    });
};
